Bug 209380 - Fully-relabeled rawhide system give HAL avc denials
Fully-relabeled rawhide system give HAL avc denials
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks: FC6Blocker
  Show dependency treegraph
 
Reported: 2006-10-04 18:39 EDT by Stephen Tweedie
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 10:16:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Tweedie 2006-10-04 18:39:08 EDT
Description of problem:
After a reboot with /.autorelabel and thereafter, hal produces AVC errors on boot.

Version-Release number of selected component (if applicable):
hal-0.5.8.1-2.fc6
selinux-policy-targeted-2.3.18-3

How reproducible:
100%

Steps to Reproduce:
1. install
2. touch /.autorelabel, reboot
  
Actual results:
audit(1160001286.682:4): avc:  denied  { read write } for  pid=2691
comm="hal-storage-cle" name=".hal-mtab-lock" dev=dm-5 ino=526175
scontext=system_u:system_r:hald_t:s0 tcontext=system_u:object_r:default_t:s0
tclass=file
Comment 1 Daniel Walsh 2006-10-05 10:16:40 EDT
Fixed in selinux-policy-2.3.18-4
Comment 2 Daniel Walsh 2007-08-22 10:16:40 EDT
Should be fixed in the current release

Note You need to log in before you can comment on or make changes to this bug.